Subject: trip hammer

From: mike faul <[email-masked]>
Date: 6 Jun 1995 14:43:52 GMT

Does anyone have any information about where I could find either
a little giant, an Illinois trip hammer or other powered hammer.
I don't need a kuhn air hammer unless I can get it for under $5K

Mike

----------------------------------------------------------------------
Mike Faul                                                 415-528-2584
Dragonfly Swords - fine hand crafted Japanese swords, Wakazashi and Tanto
----------------------------------------------------------------------